API Reference
Log In
API Reference
These docs are for v2.0. Click to read the latest docs for v2.1.

Update Applicant Info

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Very similar to the "Create an applicant" method.

However, name, email, and phone_number are not required. If they are passed, the applicant will be validated with the new values.

Passing whats_app as a value to the phone_platform argument will only update applicants that belong to accounts that have Whats App enabled.

Existing attributes are overwritten (except auto-generated attributes such as created_at), and new attributes are added.

If an existing attribute is set to null or "", it will be removed.

Updating data keys of type address

When updating a value that has a data_key of type address you will want to submit the data in the following format. In this example, address_key is a data_key of type address:

data: { 'address_key' => {
        country_code: 'United States',
        city: 'Billings',
        address_2: 'suite 301',
        state_code: 'MT',
        postal_code: '59101',
        street_address: '327 Burlington',
        country_code_iso: 'US',
        state_code_iso: 'MT',
        state_code_name: 'Montana',
      } }
📘

Secure Fields

You can also add secure fields by passing in a secure_data array along with the standard data array. These fields are encrypted in our system, so you should use them for personally identifiable and sensitive information like SSN, driver's license numbers, etc. Supported fields include:

  • gender
  • ethnicity
  • citizenship
  • can_work_in_us
  • religious_preference
  • income_salary
  • income_income_tax_dollar_amount
  • income_ss_tax
  • income_medicare_tax
  • income_taxpayer_identification_number
  • driver_license_number
  • driver_license_expiration_date
  • driver_license_state
  • ssn
  • national_identification_number
  • insurance_type
  • insurance_benefactor_first_name
  • insurance_benefactor_middle_name
  • insurance_benefactor_last_name
  • insurance_member_id
  • insurance_company_group_id
  • insurance_company_of_issue
  • insurance_country_of_issue
  • insurance_city_of_issue
  • insurance_issue_date
  • insurance_expiration_date
  • bank_name
  • bank_routing_number
  • bank_account_number
  • passport_number
  • passport_country_of_issue
  • passport_city_of_issue
  • passport_issue_date
  • passport_expiration_date
  • vehicle_make
  • vehicle_model
  • vehicle_year
  • vehicle_registration_plate_number
  • vehicle_vin_number
  • w4_federal_form
  • w4_state_form

Response Schema

  • additionalProperties: false
  • id
    • Required: yes
    • Type: string
    • Example: "01234567-0000-0000-0000-000000000000"
  • email
  • name
    • Required: yes
    • Type: string
    • Example: "Richard Johnson"
  • first_name
    • Required: yes
    • Type: string
    • Example: "Richard"
  • last_name
    • Required: yes
    • Type: string
    • Example: "Johnson"
  • phone_number
    • Required: yes
    • Type: string
    • Example: "79224568246"
  • normalized_phone_number
    • Required: yes
    • Type: string
    • Example: "+179224568246"
  • receive_automated_emails
    • Required: yes
    • Type: boolean
    • Example: true
  • is_duplicate
    • Required: no
    • Type: boolean
    • Example: true
  • data
    • Required: yes
    • additionalProperties: false
    • favorite_food
      • Required: no
      • Type: string
      • Example: "sushi"
    • color_of_eyes
      • Required: no
      • Type: string
      • Example: "brown"
  • created_at
    • Required: yes
    • Type: string
    • Format: date-time
    • Example: "2015-06-05T05:53:38.974-07:00"
  • updated_at
    • Required: yes
    • Type: string
    • Format: date-time
    • Example: "2015-06-05T05:53:38.974-07:00"
  • last_transitioned_at
    • Required: yes
    • Type: string
    • Format: date-time
    • Example: "2015-06-05T05:54:42.752-07:00"
  • can_receive_sms
    • Required: yes
    • Type: boolean
    • Example: false
  • phone_platform
    • Required: yes
    • Type: string
    • Example: "sms"
  • funnel
    • Required: yes
    • additionalProperties: false
    • id
      • Required: yes
      • Type: string
      • Example: "1f62e031-46b2-4cc6-92da-400182d2c88b"
    • title
      • Required: yes
      • Type: string
      • Example: "Future Factors Representative"
    • custom_id
      • Required: yes
      • Type: string
      • Example: "3d67750a-dcf4-4ada-a3e4-ee44661949fc"
  • partner_data
    • Required: no
    • Type: array
    • Items
      • Required: no
      • additionalProperties: false
      • description
        • Required: no
        • Type: string
        • Example: ""
      • type
        • Required: no
        • Type: string
        • Example: "object"
      • example
        • Required: no
        • Type: array
  • stage
    • Required: yes
    • additionalProperties: false
    • id
      • Required: yes
      • Type: string
      • Example: "274d2929-e1d3-4535-b1b6-b5e4fc820f21"
    • title
      • Required: yes
      • Type: string
      • Example: "Approved"
    • parent_id
      • Required: no
      • Type: null
      • Example: "274d2929-e1d3-4535-b1b6-b5e4fc820f21"
  • background_checks
    • Required: yes
    • Type: array
    • Items
      • Required: no
      • additionalProperties: false
      • title
        • Required: yes
        • Type: string
        • Example: "Driver license check"
      • status
        • Required: yes
        • Type: string
        • Example: "pending"
      • vendor
        • Required: yes
        • Type: string
        • Example: "checkr"
      • candidate_id
        • Required: yes
        • Type: string
        • Example: "e44aa283528e6fde7d542194"
      • report_id
        • Required: yes
        • Type: string
        • Example: "4722c07dd9a10c3985ae432a"
      • updated_at
        • Required: yes
        • Type: string
        • Format: date-time
        • Example: "2015-06-05T05:53:38.974-07:00"
  • document_signatures
    • Required: yes
    • Type: array
    • Items
      • Required: no
      • additionalProperties: false
      • vendor
        • Required: yes
        • Type: string
        • Example: "hellosign"
      • signature_id
        Vendor-specific signature ID
        • Required: yes
        • Type: string
        • Example: "123dfdsf"
      • status
        Status of this request (opened, signed or admin_reviewed)
        • Required: yes
        • Type: string
        • Example: "signed"
  • labels
    • Required: yes
    • Type: array
    • Items
      • Required: no
      • additionalProperties: false
      • title
        • Required: yes
        • Type: string
        • Example: "Label-0"
      • completed
        • Required: yes
        • Type: boolean
        • Example: false
      • completed_at
        • Required: no
        • Type: string
        • Example: "2017-01-01T14:40:30.873-08:00"
  • file_upload_requests
    • Required: yes
    • Type: array
    • Items
      Recollection Requests
      • Required: no
      • additionalProperties: false
      • id
        • Required: no
        • Type: string
        • Example: 55
      • created_at
        • Required: no
        • Type: string
        • Example: "2017-01-01T14:40:30.873-08:00"
      • recollection_reason
        • Required: no
        • Type: string
        • Example: "blurry"
      • document_name
        • Required: no
        • Type: string
        • Example: "driver_license"
  • addresses
    • Required: yes
    • Type: array
    • Items
      Applicant Addresses
      • Required: no
      • additionalProperties: false
      • street_name
        • Required: no
        • Type: string
        • Example: "11718 Selkirk Drive"
      • address_2
        • Required: no
        • Type: string
        • Example: "Apartment 101"
      • city
        • Required: no
        • Type: string
        • Example: "Austin"
      • state
        • Required: no
        • Type: string
        • Example: "Texas"
      • zipcode
        • Required: no
        • Type: string
        • Example: 78756
      • country
        • Required: no
        • Type: string
        • Example: "US"
      • latitude
        • Required: no
        • Type: number
        • Example: 60
      • longitude
        • Required: no
        • Type: number
        • Example: 128
Path Params
string
required
Defaults to 01234567-0000-0000-0000-000000000000

ID must be passed in as a URL parameter

Query Params
string
Defaults to John Doe
string
Defaults to [email protected]
string
Defaults to 5555555555
string
Defaults to Toyota Prius

data must be passed in a data object/array

string
Defaults to American

Add any secure parameters from the list below

string

Optional rejection reason

string

Optional on-hold reason

Headers
string
required
Defaults to secret-api-token

Access Token

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json